Skip to main content
GET
/
networks
/
trafficsource
/
{trafficSourceId}
Get Traffic Source by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/trafficsource/{trafficSourceId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_traffic_source_id": 1,
  "network_id": 1,
  "name": "test",
  "postback_url": "https://www.testpostback.com",
  "time_created": 1774721376,
  "time_saved": 1774721376,
  "relationship": {
    "parameters": {
      "total": 2,
      "entries": [
        {
          "network_traffic_source_id": 1,
          "network_id": 1,
          "tracking_parameter": "param1",
          "tracking_value": "value1"
        },
        {
          "network_traffic_source_id": 1,
          "network_id": 1,
          "tracking_parameter": "param2",
          "tracking_value": "value2"
        }
      ]
    }
  },
  "is_public": false
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

trafficSourceId
integer
required

The ID of the traffic source.

Response

200 - application/json

OK

network_traffic_source_id
integer

Unique traffic source ID.

network_id
integer

Network ID.

name
string

Name of the traffic source.

postback_url
string

Postback URL for this traffic source.

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

relationship
object
is_public
boolean

When true, affiliates can select this traffic source when generating tracking links.